# casemanager_client

CasemanagerClient - the Ruby gem for the SPX: CaseManager

No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This SDK is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.1.1
- Package version: 1.0.0
- Build package: org.openapitools.codegen.languages.RubyClientCodegen

## Installation

### Build a gem

To build the Ruby code into a gem:

```shell
gem build casemanager_client.gemspec
```

Then either install the gem locally:

```shell
gem install ./casemanager_client-1.0.0.gem
```
(for development, run `gem install --dev ./casemanager_client-1.0.0.gem` to install the development dependencies)

or publish the gem to a gem hosting service, e.g. [RubyGems](https://rubygems.org/).

Finally add this to the Gemfile:

    gem 'casemanager_client', '~> 1.0.0'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/GIT_USER_ID/GIT_REPO_ID, then add the following in the Gemfile:

    gem 'casemanager_client', :git => 'https://github.com/GIT_USER_ID/GIT_REPO_ID.git'

### Include the Ruby code directly

Include the Ruby code directly using `-I` as follows:

```shell
ruby -Ilib script.rb
```

## Getting Started

Please follow the [installation](#installation) procedure and then run the following code:
```ruby
# Load the gem
require 'casemanager_client'

# Setup authorization
CasemanagerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = CasemanagerClient::DefaultApi.new
v = 'v_example' # String | Version of the CaseManager API. Required to be `v=root_v1`
source_type = 'source_type_example' # String | The type of item being updated or created
source_identifier = 'source_identifier_example' # String | The ID or key of the item
opts = {
  case_key: 'case_key_example' # String | If this item is known to belong to a case, the case key can be provided
}

begin
  #Creates or updates case items
  api_instance.case_items_post(v, source_type, source_identifier, opts)
rescue CasemanagerClient::ApiError => e
  puts "Exception when calling DefaultApi->case_items_post: #{e}"
end

```

## Documentation for API Endpoints

All URIs are relative to *http://casemanager.dev.cmmint.net*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*CasemanagerClient::DefaultApi* | [**case_items_post**](docs/DefaultApi.md#case_items_post) | **POST** /case_items | Creates or updates case items
*CasemanagerClient::DefaultApi* | [**cases_key_events_post**](docs/DefaultApi.md#cases_key_events_post) | **POST** /cases/{key}/events | Apply an event to a case.
*CasemanagerClient::DefaultApi* | [**list_patients**](docs/DefaultApi.md#list_patients) | **GET** /patients | List all Patients with Cases. Allows optional search parameters; search parameters are ANDed together.
*CasemanagerClient::DefaultApi* | [**show_case**](docs/DefaultApi.md#show_case) | **GET** /cases/{key} | Get the details of a specific case


## Documentation for Models

 - [CasemanagerClient::CaseItem](docs/CaseItem.md)
 - [CasemanagerClient::CaseWithPatient](docs/CaseWithPatient.md)
 - [CasemanagerClient::Error](docs/Error.md)
 - [CasemanagerClient::ModelCase](docs/ModelCase.md)
 - [CasemanagerClient::Patient](docs/Patient.md)
 - [CasemanagerClient::PatientWithCases](docs/PatientWithCases.md)
 - [CasemanagerClient::Workflow](docs/Workflow.md)
 - [CasemanagerClient::WorkflowTask](docs/WorkflowTask.md)


## Documentation for Authorization


### basicAuth

- **Type**: HTTP basic authentication

