# CasemanagerClient::WorkflowTask

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **Integer** |  | 
**name** | **String** | The name of the task. The logical operator tasks \&quot;OR\&quot; is also indicated by the name field.  When a task is named \&quot;OR\&quot;, the task represents the \&quot;OR\&quot; logical operation for all parent tasks. This means that only one parent task is required to be completed before children tasks may be started.  | 
**case_items** | [**Array&lt;CaseItem&gt;**](CaseItem.md) | Attributes of Case Items that are directly related to this workflow task. | 
**parent_ids** | **Array&lt;Integer&gt;** | Other workflow tasks that come immediately before this task in the workflow. No parents IDs indicates this is the first task in a workflow. Workflows can branch and those branches can later rejoin. Multiple parent IDs indicate the rejoining of a branch.  When multiple parent IDs are present, it defaults to AND logic. That means all parent task are required to be completed before this task may be started.  When a task has a name of \&quot;OR\&quot; and has multiple parent IDs, it is specifying that only one of the parent tasks needs to be completed before children tasks may be started.  | 
**key_task** | **BOOLEAN** | Is this task an important task in the workflow? Could be used when generating a visual timeline of the workflow. | 
**started_at** | **DateTime** | When this task was started. If null, the task has not been started. If &#x60;started_at&#x60; has a value, and &#x60;completed_at&#x60; does not, the task is currently in progress | [optional] 
**completed_at** | **DateTime** | When this task was completed | [optional] 


